io.milvus.connection

## Class ClusterFactory.Builder

- java.lang.Object
- - io.milvus.connection.ClusterFactory.Builder

Enclosing class:
  ClusterFactory

    public static class ClusterFactory.Builder
    extends java.lang.Object

Builder for `ClusterFactory`

### Method Summary

All Methods Instance Methods Concrete Methods
`ClusterFactory` `build()` Verifies parameters and creates a new `ClusterFactory` instance.
`ClusterFactory.Builder` `keepMonitor(boolean enable)` Enables the keep-monitor function for server
`ClusterFactory.Builder` `withQueryNodeSingleSearch(QueryNodeSingleSearch queryNodeSingleSearch)` Sets single search for query node listener.
`ClusterFactory.Builder` `withServerSetting(@NonNull java.util.List<ServerSetting> serverSettings)` Sets server setting list

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withServerSetting

    public ClusterFactory.Builder withServerSetting(@NonNull
                                                    @NonNull java.util.List<ServerSetting> serverSettings)

Sets server setting list

Parameters:
  `serverSettings` - ServerSetting
Returns:
  `Builder`

#### keepMonitor

    public ClusterFactory.Builder keepMonitor(boolean enable)

Enables the keep-monitor function for server

Parameters:
  `enable` - true keep-monitor
Returns:
  `Builder`

#### withQueryNodeSingleSearch

    public ClusterFactory.Builder withQueryNodeSingleSearch(QueryNodeSingleSearch queryNodeSingleSearch)

Sets single search for query node listener.

Parameters:
  `queryNodeSingleSearch` - query node single search for listener
Returns:
  `Builder`

#### build

    public ClusterFactory build()
                         throws ParamException

Verifies parameters and creates a new `ClusterFactory` instance.

Returns:
  `ClusterFactory`
Throws:
  `ParamException`